error: package uk.ac.manchester.cs.owl.owlapi does not exist

Bug #1482169 reported by parnika on 2015-08-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
RelEx
Undecided
Unassigned

Bug Description

new to relex. Trying to install relex-1.5.1 in windows through putty.exe.. Thus using Ubuntu. Followed the installation process in http://wiki.opencog.org/w/Installing_RelEx .
Got several errors like :
error: package uk.ac.manchester.cs.owl.owlapi does not exist

/home/parnika/link-grammar-5.2.5/build/relex/relex-1.5.1/src/java/relex/ parser/LocalLGParser.java:[225,52] error: no suitable method found for toString( double)

Need help!!

Amen Belayneh (amebel) wrote :

FYI, relex's development have been moved to github @ https://github.com/opencog/relex/

I haven't worked on windows so I can 't comment much about the installation process on there, but owl is optional.

Yep. Please use the version from github! The OWL interfaces are not
supported; if you think you need them, you'd have to do it yourself.

--linas

On Thu, Aug 6, 2015 at 5:55 AM, Amen Belayneh
<email address hidden> wrote:
> FYI, relex's development have been moved to github @
> https://github.com/opencog/relex/
>
> I haven't worked on windows so I can 't comment much about the
> installation process on there, but owl is optional.
>
> --
> You received this bug notification because you are subscribed to RelEx.
> https://bugs.launchpad.net/bugs/1482169
>
> Title:
> error: package uk.ac.manchester.cs.owl.owlapi does not exist
>
> Status in RelEx:
> New
>
> Bug description:
> new to relex. Trying to install relex-1.5.1 in windows through putty.exe.. Thus using Ubuntu. Followed the installation process in http://wiki.opencog.org/w/Installing_RelEx .
> Got several errors like :
> error: package uk.ac.manchester.cs.owl.owlapi does not exist
>
> /home/parnika/link-
> grammar-5.2.5/build/relex/relex-1.5.1/src/java/relex/
> parser/LocalLGParser.java:[225,52] error: no suitable method found for
> toString( double)
>
> Need help!!
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/relex/+bug/1482169/+subscriptions

parnika (parnika27) wrote :

Hi, Thanks for the response. I tried the version from github and it worked! :) but it doesn't use opennlp. How can I make it use opennlp? New to Ubuntu!

linas (linasvepstas) wrote :

I think the default java sentence splitter is probably good enough for
most things. If you are trying to do some high-accuracy work, then
you'd have to take some time and compare them to actually how they
differ. --linas

On Fri, Aug 7, 2015 at 12:50 AM, parnika <email address hidden> wrote:
> Hi, Thanks for the response. I tried the version from github and it
> worked! :) but it doesn't use opennlp. How can I make it use opennlp?
> New to Ubuntu!
>
> --
> You received this bug notification because you are subscribed to RelEx.
> https://bugs.launchpad.net/bugs/1482169
>
> Title:
> error: package uk.ac.manchester.cs.owl.owlapi does not exist
>
> Status in RelEx:
> New
>
> Bug description:
> new to relex. Trying to install relex-1.5.1 in windows through putty.exe.. Thus using Ubuntu. Followed the installation process in http://wiki.opencog.org/w/Installing_RelEx .
> Got several errors like :
> error: package uk.ac.manchester.cs.owl.owlapi does not exist
>
> /home/parnika/link-
> grammar-5.2.5/build/relex/relex-1.5.1/src/java/relex/
> parser/LocalLGParser.java:[225,52] error: no suitable method found for
> toString( double)
>
> Need help!!
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/relex/+bug/1482169/+subscriptions

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers